Bug 983418 - split package to gramps-core, gramps-gui and gramps-server
split package to gramps-core, gramps-gui and gramps-server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 03:41 EDT by Jiri Kastner
Modified: 2015-06-29 20:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:39:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2013-07-11 03:41:23 EDT
Description of problem:
gramps connect project resides in gramps/webapp dir. it would be nice to have it packaged with dependency on django

Additional info:
snippet from setup.py
#############
if server:
    packages = package_core + package_webapp
else:
    packages = package_core + package_gui
#############
Comment 1 Gwyn Ciesla 2013-07-12 09:53:31 EDT
Working on this.  I'm not *hugely* experienced with django and python webapps.  I see that it'll need python-django and numpy as well.  I see no documentation for the webapp anywhere.  I'm wondering if simply leaving it in /usr/lib/python2.7/site-packages/gramps/webapp/ and providing /etc/httpd/conf.d/gramps.conf is sufficient.  Have you experimented with it at all?
Comment 2 Jiri Kastner 2013-07-12 10:12:05 EDT
i was running older (3.5 which was first usable for work) as django app listening on default port (8000+), not as httpd + mod_wsgi or something like that. i was looking for something more lite, like nginx or cherokee, etc, to evaluate which to use on my arm devices.

http://www.gramps-project.org/wiki/index.php?title=Gramps-Connect
Comment 3 Gwyn Ciesla 2013-07-12 10:43:18 EDT
It looks like it's just it's own daemon.  Maybe it just needs it's own user and unit file?  What files does it need write access to?
Comment 4 Jiri Kastner 2013-07-15 05:33:53 EDT
it is possible to run it as apache + mod_wsgi app or for developing as standalone app using django builtin server engine.
writing is required to sqlite db file, or to django settings file if needed postgres or mysql or another db server.
Comment 5 Gwyn Ciesla 2013-08-13 15:30:38 EDT
Status update.  Sorry for the delay, other fires were more urgent.

I have it building the webapp, and I split out a -webapp and a -common.  Webapp Requires -common, as does the main package.  -common contains the cli, gen and plugins modules, -webapp contains webapp, and everything else is in the main package.  -webapp requires python-django.

Now I need to figure out a robust way to make it runnable and sanely packaged, which is a trick since it wants the code, config and db in one stop.  I'll probably have to accomplish this with symlinks.

The fun part is that the docs linked about seem out of date and I can't get it to do the db population.  Have you gotten this working?
Comment 6 Jiri Kastner 2013-08-14 02:23:46 EDT
(In reply to Jon Ciesla from comment #5)
> The fun part is that the docs linked about seem out of date and I can't get
> it to do the db population.  Have you gotten this working?

in 4.0 no, only 3.5, which is other story. next week i'll start work on that.
Comment 7 Gwyn Ciesla 2013-08-14 10:26:21 EDT
Ok, sounds good.  Any objection to my putting this in rawhide as is, at least to get the code out there?
Comment 8 Jiri Kastner 2013-08-15 07:11:46 EDT
(In reply to Jon Ciesla from comment #7)
> Ok, sounds good.  Any objection to my putting this in rawhide as is, at
> least to get the code out there?

put it to rawhide :)
Comment 9 Gwyn Ciesla 2013-08-15 09:21:16 EDT
Done.
Comment 10 Jiri Kastner 2013-08-20 07:37:27 EDT
i got it running, but with python-django14 not python-django (1.5.x)
Comment 12 Jiri Kastner 2013-08-20 08:54:46 EDT
[root@localhost ~]# cd /usr/lib/python2.7/site-packages/gramps/webapp/
[root@localhost webapp]# GRAMPS_RESOURCES=/usr/lib/python2.7/site-packages/gramps make
make: *** No targets specified and no makefile found.  Stop.
[root@localhost webapp]# cp /home/e-ndy/gramps-4.0/gramps/webapp/Makefile .
[root@localhost webapp]# GRAMPS_RESOURCES=/usr/lib/python2.7/site-packages/gramps make
PYTHONPATH=../.. python init.py > grampsdb/fixtures/initial_data.json
/bin/sh: grampsdb/fixtures/initial_data.json: No such file or directory
make: *** [grampsdb/fixtures/initial_data.json] Error 1
[root@localhost webapp]# mkdir grampsdb/fixtures -p
[root@localhost webapp]# GRAMPS_RESOURCES=/usr/lib/python2.7/site-packages/gramps make
PYTHONPATH=../.. python init.py > grampsdb/fixtures/initial_data.json
PYTHONPATH=../.. python manage.py syncdb --noinput
Creating tables ...
Creating table auth_permission
Creating table auth_group_permissions
Creating table auth_group
Creating table auth_user_user_permissions
Creating table auth_user_groups
Creating table auth_user
Creating table django_content_type
Creating table django_session
Creating table django_site
Creating table django_admin_log
Creating table grampsdb_profile
Creating table grampsdb_nametype
Creating table grampsdb_nameorigintype
Creating table grampsdb_attributetype
Creating table grampsdb_urltype
Creating table grampsdb_childreftype
Creating table grampsdb_repositorytype
Creating table grampsdb_eventtype
Creating table grampsdb_familyreltype
Creating table grampsdb_sourcemediatype
Creating table grampsdb_eventroletype
Creating table grampsdb_notetype
Creating table grampsdb_styledtexttagtype
Creating table grampsdb_gendertype
Creating table grampsdb_ldstype
Creating table grampsdb_ldsstatus
Creating table grampsdb_nameformattype
Creating table grampsdb_calendartype
Creating table grampsdb_datemodifiertype
Creating table grampsdb_datenewyeartype
Creating table grampsdb_themetype
Creating table grampsdb_config
Creating table grampsdb_tag
Creating table grampsdb_myfamilies
Creating table grampsdb_myparentfamilies
Creating table grampsdb_person_tags
Creating table grampsdb_person
Creating table grampsdb_family_tags
Creating table grampsdb_family
Creating table grampsdb_citation
Creating table grampsdb_source
Creating table grampsdb_event
Creating table grampsdb_repository
Creating table grampsdb_place
Creating table grampsdb_media_tags
Creating table grampsdb_media
Creating table grampsdb_note_tags
Creating table grampsdb_note
Creating table grampsdb_surname
Creating table grampsdb_name
Creating table grampsdb_lds
Creating table grampsdb_markup
Creating table grampsdb_sourcedatamap
Creating table grampsdb_citationdatamap
Creating table grampsdb_address
Creating table grampsdb_location
Creating table grampsdb_url
Creating table grampsdb_attribute
Creating table grampsdb_log
Creating table grampsdb_noteref
Creating table grampsdb_eventref
Creating table grampsdb_repositoryref
Creating table grampsdb_personref
Creating table grampsdb_citationref
Creating table grampsdb_childref
Creating table grampsdb_mediaref
Creating table grampsdb_report
Creating table grampsdb_result
Installing custom SQL ...
Installing indexes ...
Installed 423 object(s) from 1 fixture(s)
PYTHONPATH=../.. python manage.py createsuperuser --username=admin --email=bugs@gramps-project.org
Password:
Password (again):
Superuser created successfully.
PYTHONPATH=../.. python manage.py createsuperuser --username=admin1 --email=bugs@gramps-project.org
Password:
Password (again):
Superuser created successfully.
[root@localhost webapp]# GRAMPS_RESOURCES=/usr/lib/python2.7/site-packages/gramps make run
PYTHONPATH=../.. python manage.py runserver
Validating models...

0 errors found
Django version 1.4.5, using settings 'webapp.settings'
Development server is running at http://127.0.0.1:8000/
Quit the server with CONTROL-C.


###########################################

we need:
1.) to have grampsdb/fixtures/initial_data.json
2.) sqlite.db linked to, for example, /var/lib/gramps, or better, have  postgresql setup
3.) probably settings.py in let say /etc/gramps/connect.conf and it will be linked from /usr/lib/python2.7/site-packages/gramps/webapp
4.) provide working apache+mod_wsgi and/or nginx+uwsgi setups in /usr/share/doc
Comment 13 Gwyn Ciesla 2013-08-20 10:20:33 EDT
Ok, I've fixed up the Requires in rawhide.
Comment 14 Fedora End Of Life 2013-09-16 12:46:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 15 Fedora End Of Life 2015-05-29 05:10:21 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 20:39:48 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.